"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Chat {
    constructor(uw) {
        this.uw = uw;
    }
    sendChat(message) {
        return this.uw.socket.send({ command: 'sendChat', data: message });
    }
    deleteAll() {
        return this.uw
            .delete('/chat')
            .then(() => null);
    }
    deleteAllByUser(userId) {
        return this.uw
            .delete(`/chat/${userId}`)
            .then(() => null);
    }
    deleteMessage(messageId) {
        return this.uw
            .delete(`/chat/${messageId}`)
            .then(() => null);
    }
    muteUser(userId, duration) {
        return this.uw
            .post(`/users/${userId}/mute`, { time: duration })
            .then(() => null);
    }
    unmuteUser(userId) {
        return this.uw
            .delete(`/users/${userId}/mute`)
            .then(() => null);
    }
}
exports.default = Chat;
//# sourceMappingURL=chat.js.map